# Poco

# class Timezone

Library: Foundation
Package: DateTime
Header: Poco/Timezone.h

## Description

This class provides information about the current timezone.

## Member Summary

Member Functions: dst, dstName, isDst, name, standardName, tzd, utcOffset

## Member Functions

### dst

static int dst();

Returns the daylight saving time offset in seconds if daylight saving time is in use.

    local time = UTC + utcOffset() + dst().

### dstName

static std::string dstName();

Returns the timezone name if daylight saving time is in effect.

### isDst

static bool isDst(
const Timestamp & timestamp
);

Returns true if daylight saving time is in effect for the given time. Depending on the operating system platform this might only work reliably for certain date ranges, as the C library's localtime() function is used.

### name

static std::string name();

Returns the timezone name currently in effect.

### standardName

static std::string standardName();

Returns the timezone name if not daylight saving time is in effect.

### tzd

static int tzd();

Returns the time zone differential for the current timezone. The timezone differential is computed as utcOffset() + dst() and is expressed in seconds.

### utcOffset

static int utcOffset();

Returns the offset of local time to UTC, in seconds.

    local time = UTC + utcOffset() + dst().